Package org.apache.sysds.runtime.io.hdf5.message

## Class H5DataTypeMessage

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.message.H5Message
  - - org.apache.sysds.runtime.io.hdf5.message.H5DataTypeMessage

    public class H5DataTypeMessage
    extends H5Message

### Constructor Summary

Constructors
`H5DataTypeMessage​(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`
`H5DataTypeMessage​(H5RootObject rootObject, BitSet flags, H5DoubleDataType doubleDataType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`H5DoubleDataType` `getDoubleDataType()`
`void` `toBuffer​(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H5DataTypeMessage

    public H5DataTypeMessage​(H5RootObject rootObject,
                             BitSet flags,
                             ByteBuffer bb)

#### H5DataTypeMessage

    public H5DataTypeMessage​(H5RootObject rootObject,
                             BitSet flags,
                             H5DoubleDataType doubleDataType)

### Method Detail

#### toBuffer

    public void toBuffer​(H5BufferBuilder bb)

#### getDoubleDataType

    public H5DoubleDataType getDoubleDataType()